Subject: bug#13160: 24.3.50; [PATCH] man page completion support beyond man-db

From: Stefan Monnier <[email-masked]>
Date: Sun, 23 Dec 2012 23:34:32 -0500

> You mean, for all man programs?  I considered this as well, but I just
> don't feel like making things worse for the two man programs which are
> used on GNU-based system, and which do have a single page name per line,
> and at its beginning (quite reasonably so, and in the spirit of POSIX
> man(1p), I'd say).  So perhaps the second patch I proposed (without the
> test for valid output of `man -k ^')

> http://permalink.gmane.org/gmane.emacs.bugs/68605

Hmmm, yes that looks fine.

> would be better, after all, even though the
> Man-keyword-completion-anchor variable is ugly.

We could replace it with a boolean var like `Man--k-anchor-broken',
since I think it's a bug for "man -k ^foo" to not match commands that
start with a "foo" prefix.

        Stefan